Subject: Re: [PATCH 0/6]: powerpc/cell spidernet ethernet patches

From: Arnd Bergmann <[email-masked]>
Date: Mon, 2 Oct 2006 18:50:39 +0200

On Monday 02 October 2006 18:27, Linas Vepstas wrote:
> >=20
> > I'm not sure if I have missed a patch in here, but I
> > don't see anything reintroducing the 'netif_stop_queue'
> > that is missing from the transmit path.
> >=20
> > Do you have a extra patch for that?
>=20
> Unfinished. =A0There are several ways in which the current=20
> spider-net driver doesn't do things the way Greg KH's, etal=20
> book on device drivers recommends. I was planning on combing=20
> through these this week.

Ok, that's good. However, removing the netif_stop_queue
was an obvious oversight that happened during the cleanup
last year.

Putting that one line back in should be a really safe fix for
the problem of overly high system load we sometimes see.

	Arnd <><